gr::mapper::constellation Class Reference

`#include <constellation.h>`

## Public Member Functions

| constellation (modtype_t modtype, std::vector< int > symbol_values, gr_complex scalar=gr_complex(1, 0))
void | map (const uint8_t *in, gr_complex *out, int nsymbols, uint16_t mapidx=0)
void | map (const float *in, gr_complex *out, int nsymbols, uint16_t mapidx=0)
void | demap_hard (const gr_complex *in, uint8_t *out, int nsymbols)
void | demap_soft (const gr_complex *in, float *out, int nsymbols)
int | bps () const
int | nmaps () const

## Constructor & Destructor Documentation

## constellation()

gr::mapper::constellation::constellation | ( | modtype_t | modtype,
|  | std::vector< int > | symbol_values,
|  | gr_complex | scalar = `gr_complex(1, 0)`
| ) |  |

## Member Function Documentation

## bps()

int gr::mapper::constellation::bps | ( |  | ) | const

## demap_hard()

void gr::mapper::constellation::demap_hard | ( | const gr_complex * | in,
|  | uint8_t * | out,
|  | int | nsymbols
| ) |  |

## demap_soft()

void gr::mapper::constellation::demap_soft | ( | const gr_complex * | in,
|  | float * | out,
|  | int | nsymbols
| ) |  |

## map() [1/2]

void gr::mapper::constellation::map | ( | const float * | in,
|  | gr_complex * | out,
|  | int | nsymbols,
|  | uint16_t | mapidx = `0`
| ) |  |

## map() [2/2]

void gr::mapper::constellation::map | ( | const uint8_t * | in,
|  | gr_complex * | out,
|  | int | nsymbols,
|  | uint16_t | mapidx = `0`
| ) |  |

## nmaps()

int gr::mapper::constellation::nmaps | ( |  | ) | const

The documentation for this class was generated from the following file:

- constellation.h